### Function

# RB debug_realf

#### Declaration [src]

    void
    rb_debug_realf (
      const char* func,
      const char* file,
      int line,
      gboolean newline,
      const char* format,
      ...
    )

#### Description [src]

If the debug output settings match the function or file names, the debug message will be formatted and written to standard error.

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `const char*`

  Function name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  File name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  Line number.

`newline`

  Type: `gboolean`

  If TRUE, add a newline to the output.

`format`

  Type: `const char*`

  Printf style format specifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Substitution values for `format`.